unit uMainForm;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes,
  IWCompJQueryWidget, IWVCLComponent, IWBaseLayoutComponent,
  IWBaseContainerLayout, IWContainerLayout, IWTemplateProcessorHTML,
  IWLayoutMgrHTML, Vcl.Controls, Vcl.Forms, IWVCLBaseContainer, IWContainer,
  IWHTMLContainer, IWHTML40Container, IWRegion, IWLayoutMgrForm,
  IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl, IWControl, IWCompButton,
  IWCompLabel, IWBaseComponent, IWBaseHTMLComponent, IWBaseHTML40Component,
  IWCompExtCtrls;

type
  TIWForm1 = class(TIWAppForm)
    Region_CardView: TIWRegion;
    JQueryWidget_CardView: TIWJQueryWidget;
    MgrHTML_CardView: TIWLayoutMgrHTML;
    lbOrgAdr: TIWLabel;
    procedure IWAppFormCreate(Sender: TObject);
    procedure IWAppFormResize(Sender: TObject);
    procedure btnTestClick(Sender: TObject);
    procedure btnTestAsyncClick(Sender: TObject; EventParams: TStringList);
  private
    procedure DoCardViewAjaxFunc(EventParams: TStringList);
  public
  end;

implementation

{$R *.dfm}


procedure TIWForm1.btnTestAsyncClick(Sender: TObject; EventParams: TStringList);
begin
 // Async Click
end;

procedure TIWForm1.btnTestClick(Sender: TObject);
begin
 // Direkter Click
end;

procedure TIWForm1.IWAppFormCreate(Sender: TObject);
begin
 // Registrieren der Ajax-Funktion
 WebApplication.RegisterCallBack('CARDVIEW.DoCardViewAjaxFunc', DoCardViewAjaxFunc);
end;

procedure TIWForm1.IWAppFormResize(Sender: TObject);
begin
 Region_CardView.Left := (self.Width  - Region_CardView.Width)  div 2;
 Region_CardView.top  := (self.Height - Region_CardView.Height) div 2;
 //
 lbOrgAdr.Top  := self.Height - 30;
end;

// Ajax-Funktion
procedure TIWForm1.DoCardViewAjaxFunc(EventParams: TStringList);
var
 l_lstStr1, l_lstStr2: TStrings;
 l_sStr1, l_sStr2: string;
begin
 l_lstStr1 := TStringList.Create;
 l_lstStr2 := TStringList.Create;
 try
   l_lstStr1.StrictDelimiter := True;
   l_lstStr2.StrictDelimiter := True;
   l_lstStr1.CommaText := EventParams.Values['id'];
   l_lstStr2.CommaText := EventParams.Values['data'];
   l_sStr1 := l_lstStr1.CommaText;      // <- Button-Id aus HTML
   l_sStr2 := l_lstStr2.CommaText;      // <- Text aus der Auswahl
 finally
   l_lstStr1.Free;
   l_lstStr2.Free;
 end;
end;

initialization
  TIWForm1.SetAsMainForm;

end.
